package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 产品评价类型枚举
 */
@RequiredArgsConstructor
@Getter
public enum ProductCommentTypeEnum implements IntArrayValuable {
    PRODUCT(1, "产品体验"),
    FOOD(2, "用餐"),
    GUIDE(3, "导游"),
    CRUISE(4, "游轮"),
    CAR(5, "乘车"),
    HARBOR(6, "港口"),
    TRAVEL(7, "旅行社");
    private final Integer type;
    private final String name;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ProductCommentTypeEnum::getType).toArray();
    public int[] array() {
        return ARRAYS;
    }
}
